summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorBruce A. Locke <blocke@gentoo.org>2002-06-01 03:41:55 +0000
committerBruce A. Locke <blocke@gentoo.org>2002-06-01 03:41:55 +0000
commite641649a23173bda651115371756a7f59fe5a2be (patch)
tree04e220073a00e7b1c23bc9982045493de0ef6602 /eclass
parentmore hacking (diff)
downloadhistorical-e641649a23173bda651115371756a7f59fe5a2be.tar.gz
historical-e641649a23173bda651115371756a7f59fe5a2be.tar.bz2
historical-e641649a23173bda651115371756a7f59fe5a2be.zip
more hacking
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnome2.eclass24
1 files changed, 19 insertions, 5 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 0bc22e65243f..3edf2a4346d1 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.2 2002/06/01 03:09:29 blocke Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.3 2002/06/01 03:41:55 blocke Exp $
# Authors:
# Bruce A. Locke <blocke@shivan.org>
@@ -23,19 +23,21 @@ gnome2_src_compile() {
use doc && G2CONF="${G2CONF} --enable-gtk-doc" || G2CONF="${G2CONF} --disable-gtk-doc"
- if [ ${LIBTOOL_FIX} -eq 1 ]
+ if [ "${LIBTOOL_FIX}" = "1" ]
then
libtoolize --copy --force
fi
- econf "${1} --enable-debug=yes" || die "./configure failure"
+ econf ${1} --enable-debug=yes || die "./configure failure"
emake || die "compile failure"
}
gnome2_src_install() {
- einstall ${1}
+ export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
+
+ einstall " scrollkeeper_localstate_dir=${D}/var/lib/scrollkeeper/ ${1}"
# manual document installation
if [ -n "${DOC}" && use doc ]
@@ -43,19 +45,31 @@ gnome2_src_install() {
dodoc ${DOC}
fi
+ unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
+
}
gnome2_pkg_postinst() {
- # manual schema installation
+ # schema installation
if [ -n "${SCHEMA}" ]
then
+
+ export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
+
+ echo ">>> Updating GConf2 Schemas for ${P}"
for x in $SCHEMA
do
/usr/bin/gconftool-2 --makefile-install-rule \
/etc/gconf/schemas/${SCHEMA}
done
fi
+
+ if [ -x /usr/bin/scrollkeeper-update ]
+ then
+ echo ">>> Updating Scrollkeeper"
+ scrollkeeper-update -p /var/lib/scrollkeeper
+ fi
}
EXPORT_FUNCTIONS src_compile src_install pkg_postinst